Page MenuHomePhabricator

Long-running bots which don't make Conduit calls for 24 hours fail all future calls
Closed, ResolvedPublic

Description

See IRC. If phabot makes a Conduit call, then doesn't make any calls for 24 hours, the session lapses and all further calls fail. Some fixes:

  • Short term, easy: add some code to call conduit.ping every few hours.
  • Short term, harder: add some code to re-establish a new session after a session failure.
  • Long term: Make conduit not session-oriented.

Revisions and Commits

Event Timeline

epriestley raised the priority of this task from to Normal.
epriestley updated the task description. (Show Details)
epriestley added a project: Phabot.
epriestley added subscribers: epriestley, avive.
avivey edited subscribers, added: avivey; removed: avive.Feb 23 2014, 12:17 AM
Rockj added a subscriber: Rockj.Mar 26 2014, 2:57 PM
epriestley added a subscriber: Unknown Object (MLST).Aug 25 2014, 2:20 AM

◀ Merged tasks: T5955.

eadler added a subscriber: eadler.Apr 27 2015, 10:56 PM
epriestley moved this task from Backlog to Future Bot/API Update on the Conpherence board.
epriestley closed this task as Resolved.Aug 23 2016, 7:02 PM
epriestley claimed this task.

I think this was effectively resolved by D12773, since using conduit.token should evade the session timeout.

Ideally we should tell you about that, stop supporting the other method, etc. But see T11508#191159 for current/planned state of bots.